CVE-2006-2745
CVSS5.1
发布时间 :2006-06-01 06:02:00
修订时间 :2011-03-07 21:36:56
NMCO    

[原文]Multiple PHP remote file inclusion vulnerabilities in F@cile Interactive Web 0.8.5 and earlier, when register_globals is enabled, allow remote attackers to execute arbitrary PHP code via a URL in the (1) pathfile parameter in (a) p-editpage.php and (b) p-editbox.php, and the (2) mytheme and (3) myskin parameters in multiple "p-themes" index.inc.php files including (c) lowgraphic, (d) classic, (e) puzzle, (f) simple, and (g) ciao.


[CNNVD]F@cile Interactive Web多个远程文件包含漏洞(CNNVD-200606-012)

        F@cile Interactive Web 0.8.5及更早版本存在多个PHP远程文件包含漏洞 ,当启用register_globals时,远程攻击者可通过在(a)p-editpage.php和(b)p-editbox.php的(1)pathfile参数和多个"p-themes" index.inc.php文件包括(c)lowgraphic,(d)classic,(e)puzzle,(f)simple和(g)ciaoe中的(2)mytheme和(3)myskin参数中URL执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:facile_interactive_web:facile_interactive_web:0.8.5
cpe:/a:facile_interactive_web:facile_interactive_web:0.8.41

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2745
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2745
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-012
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/2036
(UNKNOWN)  VUPEN  ADV-2006-2036
http://www.securityfocus.com/bid/18149
(UNKNOWN)  BID  18149
http://www.securityfocus.com/archive/1/archive/1/435283/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060528 Advisory: F@cile Interactive Web <= 0.8x Multiple RemoteVulnerabilities.
http://www.nukedx.com/?viewdoc=35
(VENDOR_ADVISORY)  MISC  http://www.nukedx.com/?viewdoc=35
http://www.nukedx.com/?getxpl=35
(UNKNOWN)  MISC  http://www.nukedx.com/?getxpl=35
http://secunia.com/advisories/20358
(VENDOR_ADVISORY)  SECUNIA  20358
http://xforce.iss.net/xforce/xfdb/26854
(UNKNOWN)  XF  f@cile-themes-file-include(26854)
http://xforce.iss.net/xforce/xfdb/26841
(UNKNOWN)  XF  f@cile-peditpage-peditbox-file-include(26841)
http://www.osvdb.org/26103
(UNKNOWN)  OSVDB  26103
http://www.osvdb.org/26102
(UNKNOWN)  OSVDB  26102
http://www.osvdb.org/26101
(UNKNOWN)  OSVDB  26101
http://securityreason.com/securityalert/1010
(UNKNOWN)  SREASON  1010

- 漏洞信息

F@cile Interactive Web多个远程文件包含漏洞
中危 输入验证
2006-06-01 00:00:00 2006-06-01 00:00:00
远程  
        F@cile Interactive Web 0.8.5及更早版本存在多个PHP远程文件包含漏洞 ,当启用register_globals时,远程攻击者可通过在(a)p-editpage.php和(b)p-editbox.php的(1)pathfile参数和多个"p-themes" index.inc.php文件包括(c)lowgraphic,(d)classic,(e)puzzle,(f)simple和(g)ciaoe中的(2)mytheme和(3)myskin参数中URL执行任意PHP代码。

- 公告与补丁

        暂无数据

- 漏洞信息

26101
F@cile Interactive Web p-editpage.php pathfile Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

F@cile Interactive Web contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to the p-editpage.php script not properly sanitizing user input supplied to the \'pathfile\' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script or disclose the contents of arbitrary files on the system.

- 时间线

2006-05-27 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站